# Note that this is NOT a relocatable package
%define ver      0.4
%define rel      14mdk
%define prefix   /usr

Summary: Color font rendering library for X11R6.
Name: fnlib
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Group: System/Libraries
Source: ftp://www.rasterman.com/pub/enlightenment/libs/fnlib/fnlib-%{ver}.tar.bz2
Obsoletes: Fnlib
BuildRoot: /var/tmp/fnlib-%{ver}-root

URL: http://www.rasterman.com/
Docdir: %{prefix}/doc
Requires: imlib

%description
Fnlib is a library that provides full, scalable 24-bit color font 
rendering abilities for X.

%package devel
Summary: Headers, static libraries and documentation for Fnlib.
Group: Development/C
Requires: fnlib
Obsoletes: Fnlib

%description devel
This package has the Headers, static libraries and documentation for Fnlib.

%prep
%setup

%build
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc README

%config /etc/fnrc
%{prefix}/lib/lib*.so.*
%{prefix}/share/fnlib_fonts/*

%files devel
%defattr(-, root, root)

%doc doc/index.html
%doc doc/fontinfo.README

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/include/*

%changelog
* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 0.4-14mdk
- rpm group update
- spec-helperizing specfile

* Mon Jan 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.4-13mdk
- libtoolize --force.

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Thu Jul 29 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed a little the %description of -devel package; so it
  can be distinguished from Summary for the translations teams
  and the new automated integration of l10n'ed descriptions. 

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Builf for Mandrake.

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- built against imlib 1.9.3

